#ifndef _ROBOCUP_GLOBAL_H_
#define _ROBOCUP_GLOBAL_H_

#define F_CPU 16000000UL
#define TIMER_PRESCALER 8

#define DEFAULT_SPEED 0.7
#define CURVE_SPIN 0.3
#define TURN_SPIN 0.5
#define STRAFE_DIRECTION 30.0

#define CAL_MIN_DIFF 0.3
#define CAL_MAX_WHITE_DIFF 0.1

#define DISTANCE_GAIN 9
#define DISTANCE_RECOG 4
#define DISTANCE_MAX 6
#define DISTANCE_MIN 5
#define DISTANCE_SPIN 0.3
#define DISTANCE_ANGLE 30.0


enum Status {
	Ok, White, Debris, DebrisWhite, Turn, TurnWhite
};

#endif
